{
  "name": "first-typescript-react",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@emotion/react": "^11.9.3",
    "@emotion/styled": "^11.9.3",
    "@mui/icons-material": "^5.8.4",
    "@mui/material": "^5.8.4",
    "@mui/types": "^7.1.4",
    "@types/axios": "^0.14.0",
    "@types/enzyme": "^3.10.12",
    "@types/jest": "^28.1.6",
    "@types/node": "^16.11.38",
    "@types/react": "^18.0.10",
    "@types/react-dom": "^18.0.5",
    "@types/react-router-dom": "^5.3.3",
    "axios": "^0.27.2",
    "axios-mock-adapter": "^1.21.1",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.6",
    "enzyme-to-json": "^3.6.2",
    "jest": "^28.1.3",
    "react": "^18.1.0",
    "react-dom": "^18.1.0",
    "react-icons": "^4.4.0",
    "react-router-dom": "^6.3.0",
    "react-scripts": "5.0.1",
    "ts-jest": "^28.0.7",
    "typescript": "^4.7.2",
    "web-vitals": "^2.1.4"
  },
  "devDependencies": {
    "eslint": "^8.19.0",
    "eslint-config-react-app": "^7.0.1",
    "husky": "^8.0.1",
    "prettier": "2.7.1"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "jest --colors",
    "prepare": "husky install"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "jest": {
    "setupFiles": [
      "./src/setupTests.ts"
    ],
    "snapshotSerializers": [
      "enzyme-to-json/serializer"
    ],
    "preset": "ts-jest",
    "testEnvironment": "node",
    "moduleNameMapper": {
      "\\.(css|scss|sass|less)$": "<rootDir>/src/__mocks__/MockFile.ts"
    }
  }
}
